﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Settings.ascx.cs" Inherits="CodeOnTime.Modules.CloudOnTimeForDNN.Settings" %>
<%@ Register TagName="label" TagPrefix="dnn" Src="~/controls/labelcontrol.ascx" %>


<h2 id="dnnPanel-ModuleGeneral-COT" class="dnnFormSectionHead"><a href="" class="dnnSectionExpanded">General Configuration</a></h2>
<fieldset>
    <div class="dnnFormItem">
        <dnn:Label ID="lblMode" runat="server" />
        <asp:DropDownList ID="ddlMode" runat="server">
            <asp:ListItem Value="AuthenticationEndpoint">Authentication Endpoint</asp:ListItem>
            <asp:ListItem Value="DataPresentation">Data Presentation</asp:ListItem>
            <%--<asp:ListItem Value="DataLink">Data Link</asp:ListItem>--%>
        </asp:DropDownList>
    </div>
    <div class="auth-settings">
        <div class="dnnFormItem">
            <dnn:Label ID="lblClientID" runat="server" />
            <asp:TextBox ID="txtClientID" runat="server" />
        </div>

        <div class="dnnFormItem">
            <dnn:Label ID="lblRedirectUri" runat="server" />
            <asp:TextBox ID="txtRedirectUri" runat="server" Width="280px" /><span style="padding-left: 4px">/appservices/saas/dnn</span>
        </div>
    </div>
    <div class="data-settings">
        <div class="dnnFormItem">
            <dnn:Label ID="lblParentModule" runat="server" />
            <asp:DropDownList ID="ddlParentModule" runat="server">
            </asp:DropDownList>
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblPage" runat="server" />
            <asp:TextBox ID="txtPage" runat="server" />
        </div>
    </div>
</fieldset>

<h2 id="dnnPanel-ModuleDetails-COT" class="dnnFormSectionHead"><a href="" class="dnnSectionExpanded">Mode Configuration</a></h2>

<div>
    <div class="auth-settings">
        <fieldset id="fsAuthenticatorSettings">
            <div class="dnnFormItem">
                <dnn:label ID="lblClientSecret" runat="server" />
                <asp:TextBox ID="txtClientSecret" runat="server" />
            </div>
            <div class="dnnFormItem" style="display: none">
                <dnn:label ID="lblAllowedScopes" runat="server" />
                <asp:TextBox ID="txtAllowedScopes" runat="server" />
            </div>
            <div class="dnnFormItem">
                <dnn:label ID="lblAllowedTokens" runat="server" />
                <asp:TextBox Rows="3" ID="txtAllowedTokens" runat="server" />
            </div>
        </fieldset>

    </div>

    <div class="page-settings">
        <fieldset id="fsPageSettings">
            <div class="dnnFormItem">
                <dnn:Label ID="lblHeight" runat="server" />
                <asp:TextBox ID="txtHeight" runat="server" />
            </div>
            <div class="dnnFormItem">
                <dnn:Label ID="lblShowNavigation" runat="server" />
                <asp:CheckBox ID="chkShowNavigation" runat="server" />
            </div>
        </fieldset>
    </div>

    <div class="link-settings">
        <fieldset id="fsLinkSettings">
            <div class="dnnFormItem">
                <dnn:Label ID="lblLinkIcon" runat="server" />
                <asp:TextBox ID="txtLinkIcon" runat="server" />
                <i class="material-icon">build</i>
            </div>
            <div class="dnnFormItem">
                <dnn:Label ID="lblLinkText" runat="server" />
                <asp:TextBox ID="txtLinkText" runat="server" />
            </div>
        </fieldset>
    </div>

</div>

<script>
    var modeRadio = $('#<%=ddlMode.ClientID %>').change(refreshVisibility);
    $(document).ready(refreshVisibility);

    function refreshVisibility() {
        var val = $('#<%=ddlMode.ClientID %>').val();
        $('.auth-settings').toggle(val == 'AuthenticationEndpoint');
        $('.page-settings').toggle(val == 'DataPresentation');
        $('.link-settings').toggle(val == 'DataLink');
        $('.data-settings').toggle(val.startsWith('Data'));
    }
</script>